Package com.arms.api.analysis.topmenu.model

## Enum IsReqType

- java.lang.Object
- - java.lang.Enum<IsReqType>
  - - com.arms.api.analysis.topmenu.model.IsReqType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IsReqType>`

      public enum IsReqType
      extends java.lang.Enum<IsReqType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` |
    `ISSUE` |
    `REQUIREMENT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Boolean` | `isReq()` |
    `static IsReqType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IsReqType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final IsReqType ALL

    - #### REQUIREMENT

          public static final IsReqType REQUIREMENT

    - #### ISSUE

          public static final IsReqType ISSUE

  - ### Method Detail

    - #### values

          public static IsReqType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IsReqType c : IsReqType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IsReqType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isReq

          public java.lang.Boolean isReq()